# --------------------------------------------------------------------------- #
# Copyright (c) 2021 MOVINDOT ART S.R.L. (movindot.com). All rights reserved. #
# See eula.txt in the project root for license information.                   #
# --------------------------------------------------------------------------- #

"""The Animator's UI utilities."""

import puppeteer.mayax as mx


def showErrorMessage(message):
    """Prompt an error message to the user."""
    mx.cmd.confirmDialog(
        title='Animator Error',
        message=message,
        button='OK',
        icon='warning',
    )
