# --------------------------------------------------------------------------- #
# Copyright (c) 2021 MOVINDOT ART S.R.L. (movindot.com). All rights reserved. #
# See eula.txt in the project root for license information.                   #
# --------------------------------------------------------------------------- #

"""Maya exceptions."""


class MayaError(Exception):
    """Base class for all Maya exceptions."""


class MayaNodeError(MayaError):
    """Raised by the `Node` class."""


class MayaAttributeError(MayaError, AttributeError):
    """Raised by the `Attribute` class."""
